import request from '@/utils/request'

export function login(data) {

  return request({
    url: '/api/invoice_all/v1/qdLogin',
    method: 'post',
    data: data,
    timeout : 60000
  })
}

export function submitNote(traceno,nsrsbh,smsCode,zjh) {

  const data = {
    traceno,
    nsrsbh,
    smsCode,
    zjh
  }
  return request({
    url: '/api/invoice_all/v1/submitNote',
    method: 'post',
    data: data,
  })
}

export function submitNoteResult(traceno,nsrsbh,smsCode,zjh) {

  const data = {
    traceno,
    nsrsbh,
    smsCode,
    zjh
  }
  return request({
    url: '/api/invoice_all/v1/submitNoteResult',
    method: 'post',
    data: data,
  })
}

export function getAddress(par) {

  return request({
    url: '/api/invoice_all/v1/nsrsbhConvertAddr',
    method: 'get',
    params: {
      nsrsbh: par
    }
  })
}


